## org.eclipse.emf.compare.diff.metamodel
Interface AttributeChangeLeftTarget

All Superinterfaces:
  AttributeChange, DiffElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  AttributeChangeLeftTargetImpl

    public interface AttributeChangeLeftTarget

extends AttributeChange

A representation of the model object 'Attribute Change Left Target'. A "LeftTarget" element change describes a difference involving the left element/resource. In the case of AttributeChanges, these describe differences within multi-valued attributes. Specifically, the addition of a value or the remote removal of a value (for three way comparisons).

The following features are supported:

- `Left Target`

See Also:
  `DiffPackage.getAttributeChangeLeftTarget()`

Method Summary
`java.lang.Object` `getLeftTarget()` Returns the value of the 'Left Target' attribute
`void` `setLeftTarget(java.lang.Object value)` Sets the value of the '`Left Target`' attribute

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.AttributeChange
`getAttribute, getLeftElement, getRightElement, setAttribute, setLeftElement, setRightElement`

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.DiffElement
`getIsHiddenBy, getKind, getSubDiffElements, isConflicting, isRemote, setRemote`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLeftTarget

    java.lang.Object getLeftTarget()

  Returns the value of the 'Left Target' attribute.

  If the meaning of the 'Left Target' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left Target' attribute.
  See Also:
    `setLeftTarget(Object)`, `DiffPackage.getAttributeChangeLeftTarget_LeftTarget()`

### setLeftTarget

    void setLeftTarget(java.lang.Object value)

  Sets the value of the '`Left Target`' attribute.

  Parameters:
    `value` - the new value of the 'Left Target' attribute.
  See Also:
    `getLeftTarget()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.